Index: mibs/mikrotik/mikrotik.mib
===================================================================
--- mibs/mikrotik/mikrotik.mib	(revision 4920)
+++ mibs/mikrotik/mikrotik.mib	(working copy)
@@ -4,14 +4,16 @@
 MODULE-IDENTITY, OBJECT-TYPE, Integer32, Counter32, Gauge32, IpAddress,
 Counter64, enterprises, NOTIFICATION-TYPE FROM SNMPv2-SMI
 TEXTUAL-CONVENTION, DisplayString, MacAddress, DateAndTime FROM SNMPv2-TC
-OBJECT-GROUP FROM SNMPv2-CONF;
+TimeTicks FROM SNMPv2-SMI
+OBJECT-GROUP FROM SNMPv2-CONF
+NOTIFICATION-GROUP FROM SNMPv2-CONF;
 
 mikrotikExperimentalModule MODULE-IDENTITY
-  LAST-UPDATED "201102140000Z"
+  LAST-UPDATED "201301210000Z"
   ORGANIZATION "MikroTik"
   CONTACT-INFO "@mikrotik.com"
   DESCRIPTION ""
-  REVISION "201102140000Z"
+  REVISION "201301210000Z"
   DESCRIPTION ""
   ::= { mikrotik 1 }
 
@@ -33,6 +35,8 @@
 mtxrNeighbor OBJECT IDENTIFIER ::= { mtXRouterOs 11 }
 mtxrGps OBJECT IDENTIFIER ::= { mtXRouterOs 12 }
 mtxrWirelessModem OBJECT IDENTIFIER ::= { mtXRouterOs 13 }
+mtxrInterfaceStats OBJECT IDENTIFIER ::= { mtXRouterOs 14 }
+mtxrPOE OBJECT IDENTIFIER ::= { mtXRouterOs 15 }
 
 ObjectIndex ::= TEXTUAL-CONVENTION
     DISPLAY-HINT "x"
@@ -62,6 +66,13 @@
     DESCRIPTION ""
     SYNTAX Integer32 (-2147483648..2147483647)
 
+Power ::= TEXTUAL-CONVENTION
+    DISPLAY-HINT "d-1"
+    STATUS current
+    DESCRIPTION ""
+    SYNTAX Integer32 (-2147483648..2147483647)
+
+
 mtxrWlStatTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrWlStatEntry
     MAX-ACCESS not-accessible
@@ -170,7 +181,15 @@
     mtxrWlRtabRxPackets Counter32,
     mtxrWlRtabTxRate Gauge32,
     mtxrWlRtabRxRate Gauge32,
-    mtxrWlRtabRouterOSVersion DisplayString
+    mtxrWlRtabRouterOSVersion DisplayString,
+    mtxrWlRtabUptime TimeTicks,
+    mtxrWlRtabSignalToNoise Integer32,
+    mtxrWlRtabTxStrengthCh0 Integer32,
+    mtxrWlRtabRxStrengthCh0 Integer32,
+    mtxrWlRtabTxStrengthCh1 Integer32,
+    mtxrWlRtabRxStrengthCh1 Integer32,
+    mtxrWlRtabTxStrengthCh2 Integer32,
+    mtxrWlRtabRxStrengthCh2 Integer32
 }
 
 mtxrWlRtabAddr OBJECT-TYPE
@@ -243,6 +262,62 @@
     DESCRIPTION "RouterOS version"
     ::= { mtxrWlRtabEntry 10 }
 
+mtxrWlRtabUptime OBJECT-TYPE
+    SYNTAX TimeTicks
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "uptime"
+    ::= { mtxrWlRtabEntry 11 }
+
+mtxrWlRtabSignalToNoise OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Measured in dB, if value does not exist it is indicated with 0"
+    ::= { mtxrWlRtabEntry 12 }
+
+mtxrWlRtabTxStrengthCh0 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 13 }
+
+mtxrWlRtabRxStrengthCh0 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 14 }
+
+mtxrWlRtabTxStrengthCh1 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 15 }
+
+mtxrWlRtabRxStrengthCh1 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 16 }
+
+mtxrWlRtabTxStrengthCh2 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 17 }
+
+mtxrWlRtabRxStrengthCh2 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 18 }
+
 mtxrWlRtabEntryCount OBJECT-TYPE
     SYNTAX Gauge32
     MAX-ACCESS read-only
@@ -272,7 +347,11 @@
     mtxrWlApSsid DisplayString,
     mtxrWlApBssid MacAddress,
     mtxrWlApClientCount Counter32,
-    mtxrWlApBand DisplayString
+    mtxrWlApFreq Integer32,
+    mtxrWlApBand DisplayString,
+    mtxrWlApNoiseFloor Integer32,
+    mtxrWlApOverallTxCCQ Counter32,
+    mtxrWlApAuthClientCount Counter32
 }
 
 mtxrWlApIndex OBJECT-TYPE
@@ -317,6 +396,13 @@
     DESCRIPTION ""
     ::= { mtxrWlApEntry 6 }
 
+mtxrWlApFreq OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "megahertz"
+    ::= { mtxrWlApEntry 7 }
+
 mtxrWlApBand OBJECT-TYPE
     SYNTAX DisplayString
     MAX-ACCESS read-only
@@ -324,6 +410,27 @@
     DESCRIPTION ""
     ::= { mtxrWlApEntry 8 }
 
+mtxrWlApNoiseFloor OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlApEntry 9 }
+
+mtxrWlApOverallTxCCQ OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlApEntry 10 }
+
+mtxrWlApAuthClientCount OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlApEntry 11 }
+
 mtxrQueueSimpleTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrQueueSimpleEntry
     MAX-ACCESS not-accessible
@@ -352,7 +459,9 @@
     mtxrQueueSimplePacketsIn Counter32,
     mtxrQueueSimplePacketsOut Counter32,
     mtxrQueueSimplePCQQueuesIn Counter32,
-    mtxrQueueSimplePCQQueuesOut Counter32
+    mtxrQueueSimplePCQQueuesOut Counter32,
+    mtxrQueueSimpleDroppedIn Counter32,
+    mtxrQueueSimpleDroppedOut Counter32
 }
 
 mtxrQueueSimpleIndex OBJECT-TYPE
@@ -446,6 +555,20 @@
     DESCRIPTION ""
     ::= { mtxrQueueSimpleEntry 13 }
 
+mtxrQueueSimpleDroppedIn OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueSimpleEntry 14 }
+
+mtxrQueueSimpleDroppedOut OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueSimpleEntry 15 }
+
 mtxrQueueTreeTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrQueueTreeEntry
     MAX-ACCESS not-accessible
@@ -469,7 +592,8 @@
     mtxrQueueTreeBytes Counter32,
     mtxrQueueTreePackets Counter32,
     mtxrQueueTreeHCBytes Counter64,
-    mtxrQueueTreePCQQueues Counter32
+    mtxrQueueTreePCQQueues Counter32,
+    mtxrQueueTreeDropped Counter32
 }
 
 mtxrQueueTreeIndex OBJECT-TYPE
@@ -528,6 +652,13 @@
     DESCRIPTION ""
     ::= { mtxrQueueTreeEntry 8 }
 
+mtxrQueueTreeDropped OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueTreeEntry 9 }
+
 mtxrHlCoreVoltage OBJECT-TYPE
     SYNTAX Voltage
     MAX-ACCESS read-only
@@ -605,6 +736,20 @@
     DESCRIPTION ""
     ::= { mtxrHealth 11 }
 
+mtxrHlPower OBJECT-TYPE
+    SYNTAX Power
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Watts"
+    ::= { mtxrHealth 12 }
+
+mtxrHlCurrent OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "mA"
+    ::= { mtxrHealth 13 }
+
 mtxrLicSoftwareId OBJECT-TYPE
     SYNTAX DisplayString
     MAX-ACCESS read-only
@@ -827,7 +972,7 @@
     DESCRIPTION ""
     ::= { mtxrDHCP 1 }
 
--- REBOOT *********************************************************************
+-- SYSTEM ********************************************************************
 
 mtxrSystemReboot OBJECT-TYPE
     SYNTAX Integer32
@@ -836,15 +981,27 @@
     DESCRIPTION "set non zero to reboot"
     ::= { mtxrSystem 1 }
 
--- USB power reset *********************************************************************
-
-mtxrSystemReboot OBJECT-TYPE
+mtxrUSBPowerReset OBJECT-TYPE
     SYNTAX Integer32
     MAX-ACCESS read-write
     STATUS current
     DESCRIPTION "switches off usb power for specified amout of seconds"
     ::= { mtxrSystem 2 }
 
+mtxrSerialNumber OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "RouterBOARD serial number"
+    ::= { mtxrSystem 3 }
+
+mtxrFirmwareVersion OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Current firmware version"
+    ::= { mtxrSystem 4 }
+
 -- SCRIPTS ********************************************************************
 
 mtxrScriptTable OBJECT-TYPE
@@ -1051,12 +1208,25 @@
         mtxrWlRtabTxRate,
 	mtxrWlRtabRxRate,
 	mtxrWlRtabEntryCount,
+        mtxrWlRtabRouterOSVersion,
+        mtxrWlRtabUptime,
+        mtxrWlRtabSignalToNoise,
+        mtxrWlRtabTxStrengthCh0,
+        mtxrWlRtabRxStrengthCh0,
+        mtxrWlRtabTxStrengthCh1,
+        mtxrWlRtabRxStrengthCh1,
+        mtxrWlRtabTxStrengthCh2,
+        mtxrWlRtabRxStrengthCh2,
         mtxrWlApTxRate,
 	mtxrWlApRxRate,
 	mtxrWlApSsid,
         mtxrWlApBssid,
         mtxrWlApClientCount,
-        mtxrWlApBand
+        mtxrWlApBand,
+        mtxrWlApFreq,
+        mtxrWlApNoiseFloor,
+        mtxrWlApOverallTxCCQ,
+        mtxrWlApAuthClientCount
     }
     STATUS current
     DESCRIPTION ""
@@ -1067,8 +1237,15 @@
         mtxrQueueSimpleDstAddr, mtxrQueueSimpleDstMask, mtxrQueueSimpleIface,
         mtxrQueueSimpleBytesIn, mtxrQueueSimpleBytesOut,
         mtxrQueueSimplePacketsIn, mtxrQueueSimplePacketsOut, mtxrQueueTreeName,
+        mtxrQueueSimplePCQQueuesIn,
+        mtxrQueueSimplePCQQueuesOut,
+        mtxrQueueSimpleDroppedIn,
+        mtxrQueueSimpleDroppedOut,
         mtxrQueueTreeFlow, mtxrQueueTreeParentIndex, mtxrQueueTreeBytes,
-        mtxrQueueTreePackets, mtxrQueueTreeHCBytes
+        mtxrQueueTreePackets,
+        mtxrQueueTreeHCBytes,
+        mtxrQueueTreePCQQueues,
+        mtxrQueueTreeDropped
     }
     STATUS current
     DESCRIPTION ""
@@ -1078,7 +1255,8 @@
         mtxrHlCoreVoltage, mtxrHlThreeDotThreeVoltage, mtxrHlFiveVoltage,
         mtxrHlTwelveVoltage, mtxrHlSensorTemperature, mtxrHlCpuTemperature,
         mtxrHlBoardTemperature, mtxrHlVoltage, mtxrHlActiveFan, 
-	mtxrHlTemperature, mtxrHlProcessorTemperature
+	mtxrHlTemperature, mtxrHlProcessorTemperature,
+        mtxrHlCurrent, mtxrHlPower
     }
     STATUS current
     DESCRIPTION ""
@@ -1143,6 +1321,138 @@
     DESCRIPTION ""
     ::= { mtXRouterOsGroups 11 }
 
+mtxrDHCPGroup OBJECT-GROUP OBJECTS {
+        mtxrDHCPLeaseCount
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 12 }
+
+mtxrSystemGroup OBJECT-GROUP OBJECTS {
+        mtxrSystemReboot,
+        mtxrUSBPowerReset,
+        mtxrSerialNumber,
+        mtxrFirmwareVersion
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 13 }
+
+mtxrTrapGroup NOTIFICATION-GROUP NOTIFICATIONS {
+        mtxrTrap,
+        mtxrTemperatureException
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 14 }
+
+mtxrGPSGroup OBJECT-GROUP OBJECTS {
+        mtxrDate,
+        mtxrLongtitude,
+        mtxrLatitude,
+        mtxrAltitude,
+        mtxrSpeed,
+        mtxrSattelites,
+        mtxrValid
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 15 }
+
+mtxrWirelessModemGroup OBJECT-GROUP OBJECTS {
+        mtxrWirelessModemSignalStrength,
+        mtxrWirelessModemSignalECIO
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 16 }
+
+mtxrInterfaceStatsGroup OBJECT-GROUP OBJECTS {
+        mtxrInterfaceStatsName,
+        mtxrInterfaceStatsDriverRxBytes,
+        mtxrInterfaceStatsDriverRxPackets,
+        mtxrInterfaceStatsDriverTxBytes,
+        mtxrInterfaceStatsDriverTxPackets,
+
+        mtxrInterfaceStatsTxRx64,
+        mtxrInterfaceStatsTxRx65To127,
+        mtxrInterfaceStatsTxRx128To255,
+        mtxrInterfaceStatsTxRx256To511,
+        mtxrInterfaceStatsTxRx512To1023,
+        mtxrInterfaceStatsTxRx1024To1518,
+        mtxrInterfaceStatsTxRx1519ToMax,
+
+        mtxrInterfaceStatsRxBytes,
+        mtxrInterfaceStatsRxPackets,
+        mtxrInterfaceStatsRxTooShort,
+        mtxrInterfaceStatsRx64,
+        mtxrInterfaceStatsRx65To127,
+        mtxrInterfaceStatsRx128To255,
+        mtxrInterfaceStatsRx256To511,
+        mtxrInterfaceStatsRx512To1023,
+        mtxrInterfaceStatsRx1024To1518,
+        mtxrInterfaceStatsRx1519ToMax,
+        mtxrInterfaceStatsRxTooLong,
+        mtxrInterfaceStatsRxBroadcast,
+        mtxrInterfaceStatsRxPause,
+        mtxrInterfaceStatsRxMulticast,
+        mtxrInterfaceStatsRxFCSError,
+        mtxrInterfaceStatsRxAlignError,
+        mtxrInterfaceStatsRxFragment,
+        mtxrInterfaceStatsRxOverflow,
+        mtxrInterfaceStatsRxControl,
+        mtxrInterfaceStatsRxUnknownOp,
+        mtxrInterfaceStatsRxLengthError,
+        mtxrInterfaceStatsRxCodeError,
+        mtxrInterfaceStatsRxCarrierError,
+        mtxrInterfaceStatsRxJabber,
+        mtxrInterfaceStatsRxDrop,
+
+        mtxrInterfaceStatsTxBytes,
+        mtxrInterfaceStatsTxPackets,
+        mtxrInterfaceStatsTxTooShort,
+        mtxrInterfaceStatsTx64,
+        mtxrInterfaceStatsTx65To127,
+        mtxrInterfaceStatsTx128To255,
+        mtxrInterfaceStatsTx256To511,
+        mtxrInterfaceStatsTx512To1023,
+        mtxrInterfaceStatsTx1024To1518,
+        mtxrInterfaceStatsTx1519ToMax,
+        mtxrInterfaceStatsTxTooLong,
+        mtxrInterfaceStatsTxBroadcast,
+        mtxrInterfaceStatsTxPause,
+        mtxrInterfaceStatsTxMulticast,
+        mtxrInterfaceStatsTxUnderrun,
+        mtxrInterfaceStatsTxCollision,
+        mtxrInterfaceStatsTxExcessiveCollision,
+        mtxrInterfaceStatsTxMultipleCollision,
+        mtxrInterfaceStatsTxSingleCollision,
+        mtxrInterfaceStatsTxExcessiveDeferred,
+        mtxrInterfaceStatsTxDeferred,
+        mtxrInterfaceStatsTxLateCollision,
+        mtxrInterfaceStatsTxTotalCollision,
+        mtxrInterfaceStatsTxPauseHonored,
+        mtxrInterfaceStatsTxDrop,
+        mtxrInterfaceStatsTxJabber,
+        mtxrInterfaceStatsTxFCSError,
+        mtxrInterfaceStatsTxControl,
+        mtxrInterfaceStatsTxFragment
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 17 }
+
+mtxrPOEGroup OBJECT-GROUP OBJECTS {
+        mtxrPOEName,
+        mtxrPOEStatus,
+        mtxrPOEVoltage,
+        mtxrPOECurrent,
+        mtxrPOEPower
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 18 }
+
 -- TRAPS **********************************************************************
 
 mtxrNotifications OBJECT IDENTIFIER ::= { mtxrTraps 0 }
@@ -1152,6 +1462,11 @@
     DESCRIPTION "Mikrotik trap OID"
     ::= { mtxrNotifications 1 }
 
+mtxrTemperatureException NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION "Mikrotik CPU temperature exception trap"
+    ::= { mtxrNotifications 2 }
+
 -- GPS ************************************************************************
 
 mtxrDate OBJECT-TYPE
@@ -1219,6 +1534,640 @@
     DESCRIPTION "signal EC/IO in dB (if first ppp-client modem supports)"
     ::= { mtxrWirelessModem 2 }
 
+-- Interface Stats ************************************************************
+
+mtxrInterfaceStatsTable OBJECT-TYPE
+    SYNTAX SEQUENCE OF MtxrInterfaceStatsEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION "Extended interface statistics.
+    Some interfaces may have only parts of this table
+    with unavailable values set to zero."
+    ::= { mtxrInterfaceStats 1 }
+
+mtxrInterfaceStatsEntry OBJECT-TYPE
+    SYNTAX MtxrInterfaceStatsEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    INDEX { mtxrInterfaceStatsIndex }
+    ::= { mtxrInterfaceStatsTable 1 }
+
+MtxrInterfaceStatsEntry ::= SEQUENCE {
+    mtxrInterfaceStatsIndex ObjectIndex,
+    mtxrInterfaceStatsName DisplayString,
+
+    mtxrInterfaceStatsDriverRxBytes Counter64,
+    mtxrInterfaceStatsDriverRxPackets Counter64,
+    mtxrInterfaceStatsDriverTxBytes Counter64,
+    mtxrInterfaceStatsDriverTxPackets Counter64,
+
+    mtxrInterfaceStatsTxRx64 Counter64,
+    mtxrInterfaceStatsTxRx65To127 Counter64,
+    mtxrInterfaceStatsTxRx128To255 Counter64,
+    mtxrInterfaceStatsTxRx256To511 Counter64,
+    mtxrInterfaceStatsTxRx512To1023 Counter64,
+    mtxrInterfaceStatsTxRx1024To1518 Counter64,
+    mtxrInterfaceStatsTxRx1519ToMax Counter64,
+
+    mtxrInterfaceStatsRxBytes Counter64,
+    mtxrInterfaceStatsRxPackets Counter64,
+    mtxrInterfaceStatsRxTooShort Counter64,
+    mtxrInterfaceStatsRx64 Counter64,
+    mtxrInterfaceStatsRx65To127 Counter64,
+    mtxrInterfaceStatsRx128To255 Counter64,
+    mtxrInterfaceStatsRx256To511 Counter64,
+    mtxrInterfaceStatsRx512To1023 Counter64,
+    mtxrInterfaceStatsRx1024To1518 Counter64,
+    mtxrInterfaceStatsRx1519ToMax Counter64,
+    mtxrInterfaceStatsRxTooLong Counter64,
+    mtxrInterfaceStatsRxBroadcast Counter64,
+    mtxrInterfaceStatsRxPause Counter64,
+    mtxrInterfaceStatsRxMulticast Counter64,
+    mtxrInterfaceStatsRxFCSError Counter64,
+    mtxrInterfaceStatsRxAlignError Counter64,
+    mtxrInterfaceStatsRxFragment Counter64,
+    mtxrInterfaceStatsRxOverflow Counter64,
+    mtxrInterfaceStatsRxControl Counter64,
+    mtxrInterfaceStatsRxUnknownOp Counter64,
+    mtxrInterfaceStatsRxLengthError Counter64,
+    mtxrInterfaceStatsRxCodeError Counter64,
+    mtxrInterfaceStatsRxCarrierError Counter64,
+    mtxrInterfaceStatsRxJabber Counter64,
+    mtxrInterfaceStatsRxDrop Counter64,
+
+    mtxrInterfaceStatsTxBytes Counter64,
+    mtxrInterfaceStatsTxPackets Counter64,
+    mtxrInterfaceStatsTxTooShort Counter64,
+    mtxrInterfaceStatsTx64 Counter64,
+    mtxrInterfaceStatsTx65To127 Counter64,
+    mtxrInterfaceStatsTx128To255 Counter64,
+    mtxrInterfaceStatsTx256To511 Counter64,
+    mtxrInterfaceStatsTx512To1023 Counter64,
+    mtxrInterfaceStatsTx1024To1518 Counter64,
+    mtxrInterfaceStatsTx1519ToMax Counter64,
+    mtxrInterfaceStatsTxTooLong Counter64,
+    mtxrInterfaceStatsTxBroadcast Counter64,
+    mtxrInterfaceStatsTxPause Counter64,
+    mtxrInterfaceStatsTxMulticast Counter64,
+    mtxrInterfaceStatsTxUnderrun Counter64,
+    mtxrInterfaceStatsTxCollision Counter64,
+    mtxrInterfaceStatsTxExcessiveCollision Counter64,
+    mtxrInterfaceStatsTxMultipleCollision Counter64,
+    mtxrInterfaceStatsTxSingleCollision Counter64,
+    mtxrInterfaceStatsTxExcessiveDeferred Counter64,
+    mtxrInterfaceStatsTxDeferred Counter64,
+    mtxrInterfaceStatsTxLateCollision Counter64,
+    mtxrInterfaceStatsTxTotalCollision Counter64,
+    mtxrInterfaceStatsTxPauseHonored Counter64,
+    mtxrInterfaceStatsTxDrop Counter64,
+    mtxrInterfaceStatsTxJabber Counter64,
+    mtxrInterfaceStatsTxFCSError Counter64,
+    mtxrInterfaceStatsTxControl Counter64,
+    mtxrInterfaceStatsTxFragment Counter64
+}
+
+mtxrInterfaceStatsIndex OBJECT-TYPE
+    SYNTAX ObjectIndex
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 1 }
+
+mtxrInterfaceStatsName OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 2 }
+
+mtxrInterfaceStatsDriverRxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 11 }
+
+mtxrInterfaceStatsDriverRxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 12 }
+
+mtxrInterfaceStatsDriverTxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 13 }
+
+mtxrInterfaceStatsDriverTxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 14 }
+
+mtxrInterfaceStatsTxRx64 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 15 }
+
+mtxrInterfaceStatsTxRx65To127 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 16 }
+
+mtxrInterfaceStatsTxRx128To255 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 17 }
+
+mtxrInterfaceStatsTxRx256To511 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 18 }
+
+mtxrInterfaceStatsTxRx512To1023 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 19 }
+
+mtxrInterfaceStatsTxRx1024To1518 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 20 }
+
+mtxrInterfaceStatsTxRx1519ToMax OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 21 }
+
+mtxrInterfaceStatsRxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 31 }
+ 
+mtxrInterfaceStatsRxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 32 }
+
+mtxrInterfaceStatsRxTooShort OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 33 }
+
+mtxrInterfaceStatsRx64 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 34 }
+
+mtxrInterfaceStatsRx65To127 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 35 }
+
+mtxrInterfaceStatsRx128To255 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 36 }
+
+mtxrInterfaceStatsRx256To511 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 37 }
+
+mtxrInterfaceStatsRx512To1023 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 38 }
+
+mtxrInterfaceStatsRx1024To1518 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 39 }
+
+mtxrInterfaceStatsRx1519ToMax OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 40 }
+
+mtxrInterfaceStatsRxTooLong OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 41 }
+
+mtxrInterfaceStatsRxBroadcast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 42 }
+
+mtxrInterfaceStatsRxPause OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 43 }
+
+mtxrInterfaceStatsRxMulticast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 44 }
+
+mtxrInterfaceStatsRxFCSError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 45 }
+
+mtxrInterfaceStatsRxAlignError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 46 }
+
+mtxrInterfaceStatsRxFragment OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 47 }
+
+mtxrInterfaceStatsRxOverflow OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 48 }
+
+mtxrInterfaceStatsRxControl OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 49 }
+
+mtxrInterfaceStatsRxUnknownOp OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 50 }
+
+mtxrInterfaceStatsRxLengthError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 51 }
+
+mtxrInterfaceStatsRxCodeError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 52 }
+
+mtxrInterfaceStatsRxCarrierError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 53 }
+
+mtxrInterfaceStatsRxJabber OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 54 }
+
+mtxrInterfaceStatsRxDrop OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 55 }
+
+mtxrInterfaceStatsTxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 61 }
+
+mtxrInterfaceStatsTxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 62 }
+
+mtxrInterfaceStatsTxTooShort OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 63 }
+
+mtxrInterfaceStatsTx64 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 64 }
+
+mtxrInterfaceStatsTx65To127 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 65 }
+
+mtxrInterfaceStatsTx128To255 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 66 }
+
+mtxrInterfaceStatsTx256To511 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 67 }
+
+mtxrInterfaceStatsTx512To1023 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 68 }
+
+mtxrInterfaceStatsTx1024To1518 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 69 }
+
+mtxrInterfaceStatsTx1519ToMax OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 70 }
+
+mtxrInterfaceStatsTxTooLong OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 71 }
+
+mtxrInterfaceStatsTxBroadcast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 72 }
+
+mtxrInterfaceStatsTxPause OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 73 }
+
+mtxrInterfaceStatsTxMulticast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 74 }
+
+mtxrInterfaceStatsTxUnderrun OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 75 }
+
+mtxrInterfaceStatsTxCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 76 }
+
+mtxrInterfaceStatsTxExcessiveCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 77 }
+
+mtxrInterfaceStatsTxMultipleCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 78 }
+
+mtxrInterfaceStatsTxSingleCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 79 }
+
+mtxrInterfaceStatsTxExcessiveDeferred OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 80 }
+
+mtxrInterfaceStatsTxDeferred OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 81 }
+
+mtxrInterfaceStatsTxLateCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 82 }
+
+mtxrInterfaceStatsTxTotalCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 83 }
+
+mtxrInterfaceStatsTxPauseHonored OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 84 }
+
+mtxrInterfaceStatsTxDrop OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 85 }
+
+mtxrInterfaceStatsTxJabber OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 86 }
+
+mtxrInterfaceStatsTxFCSError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 87 }
+
+mtxrInterfaceStatsTxControl OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 88 }
+
+mtxrInterfaceStatsTxFragment OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 89 }
+
+-- POE ************************************************************************
+
+mtxrPOETable OBJECT-TYPE
+    SYNTAX SEQUENCE OF MtxrPOEEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION "Power Over Ethernet"
+    ::= { mtxrPOE 1 }
+
+mtxrPOEEntry OBJECT-TYPE
+    SYNTAX MtxrPOEEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    INDEX { mtxrPOEInterfaceIndex }
+    ::= { mtxrPOETable 1 }
+
+MtxrPOEEntry ::= SEQUENCE {
+    mtxrPOEInterfaceIndex ObjectIndex,
+    mtxrPOEName DisplayString,
+    mtxrPOEStatus Integer32,
+    mtxrPOEVoltage Voltage,
+    mtxrPOECurrent Integer32,
+    mtxrPOEPower Power
+}
+
+mtxrPOEInterfaceIndex OBJECT-TYPE
+    SYNTAX ObjectIndex
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrPOEEntry 1 }
+
+mtxrPOEName OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrPOEEntry 2 }
+
+mtxrPOEStatus OBJECT-TYPE
+    SYNTAX INTEGER {
+        disabled(1),
+        waitingForLoad(2),
+        poweredOn(3),
+        overload(4)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrPOEEntry 3 }
+
+mtxrPOEVoltage OBJECT-TYPE
+    SYNTAX Voltage
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "V"
+    ::= { mtxrPOEEntry 4 }
+
+mtxrPOECurrent OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "mA"
+    ::= { mtxrPOEEntry 5 }
+
+mtxrPOEPower OBJECT-TYPE
+    SYNTAX Power
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "W"
+    ::= { mtxrPOEEntry 6 }
+
 -- ***************************************************************************
 END
-
Index: mibs/MIKROTIK-MIB
===================================================================
--- mibs/MIKROTIK-MIB	(revision 4920)
+++ mibs/MIKROTIK-MIB	(working copy)
@@ -4,14 +4,16 @@
 MODULE-IDENTITY, OBJECT-TYPE, Integer32, Counter32, Gauge32, IpAddress,
 Counter64, enterprises, NOTIFICATION-TYPE FROM SNMPv2-SMI
 TEXTUAL-CONVENTION, DisplayString, MacAddress, DateAndTime FROM SNMPv2-TC
-OBJECT-GROUP FROM SNMPv2-CONF;
+TimeTicks FROM SNMPv2-SMI
+OBJECT-GROUP FROM SNMPv2-CONF
+NOTIFICATION-GROUP FROM SNMPv2-CONF;
 
 mikrotikExperimentalModule MODULE-IDENTITY
-  LAST-UPDATED "201006010000Z"
+  LAST-UPDATED "201301210000Z"
   ORGANIZATION "MikroTik"
   CONTACT-INFO "@mikrotik.com"
   DESCRIPTION ""
-  REVISION "201006010000Z"
+  REVISION "201301210000Z"
   DESCRIPTION ""
   ::= { mikrotik 1 }
 
@@ -31,6 +33,10 @@
 mtxrTraps OBJECT IDENTIFIER ::= { mtXRouterOs 9 }
 mtxrNstremeDual OBJECT IDENTIFIER ::= { mtXRouterOs 10 }
 mtxrNeighbor OBJECT IDENTIFIER ::= { mtXRouterOs 11 }
+mtxrGps OBJECT IDENTIFIER ::= { mtXRouterOs 12 }
+mtxrWirelessModem OBJECT IDENTIFIER ::= { mtXRouterOs 13 }
+mtxrInterfaceStats OBJECT IDENTIFIER ::= { mtXRouterOs 14 }
+mtxrPOE OBJECT IDENTIFIER ::= { mtXRouterOs 15 }
 
 ObjectIndex ::= TEXTUAL-CONVENTION
     DISPLAY-HINT "x"
@@ -60,6 +66,13 @@
     DESCRIPTION ""
     SYNTAX Integer32 (-2147483648..2147483647)
 
+Power ::= TEXTUAL-CONVENTION
+    DISPLAY-HINT "d-1"
+    STATUS current
+    DESCRIPTION ""
+    SYNTAX Integer32 (-2147483648..2147483647)
+
+
 mtxrWlStatTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrWlStatEntry
     MAX-ACCESS not-accessible
@@ -167,7 +180,16 @@
     mtxrWlRtabTxPackets Counter32,
     mtxrWlRtabRxPackets Counter32,
     mtxrWlRtabTxRate Gauge32,
-    mtxrWlRtabRxRate Gauge32
+    mtxrWlRtabRxRate Gauge32,
+    mtxrWlRtabRouterOSVersion DisplayString,
+    mtxrWlRtabUptime TimeTicks,
+    mtxrWlRtabSignalToNoise Integer32,
+    mtxrWlRtabTxStrengthCh0 Integer32,
+    mtxrWlRtabRxStrengthCh0 Integer32,
+    mtxrWlRtabTxStrengthCh1 Integer32,
+    mtxrWlRtabRxStrengthCh1 Integer32,
+    mtxrWlRtabTxStrengthCh2 Integer32,
+    mtxrWlRtabRxStrengthCh2 Integer32
 }
 
 mtxrWlRtabAddr OBJECT-TYPE
@@ -233,6 +255,69 @@
     DESCRIPTION "bits per second"
     ::= { mtxrWlRtabEntry 9 }
 
+mtxrWlRtabRouterOSVersion OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "RouterOS version"
+    ::= { mtxrWlRtabEntry 10 }
+
+mtxrWlRtabUptime OBJECT-TYPE
+    SYNTAX TimeTicks
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "uptime"
+    ::= { mtxrWlRtabEntry 11 }
+
+mtxrWlRtabSignalToNoise OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Measured in dB, if value does not exist it is indicated with 0"
+    ::= { mtxrWlRtabEntry 12 }
+
+mtxrWlRtabTxStrengthCh0 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 13 }
+
+mtxrWlRtabRxStrengthCh0 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 14 }
+
+mtxrWlRtabTxStrengthCh1 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 15 }
+
+mtxrWlRtabRxStrengthCh1 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 16 }
+
+mtxrWlRtabTxStrengthCh2 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 17 }
+
+mtxrWlRtabRxStrengthCh2 OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlRtabEntry 18 }
+
 mtxrWlRtabEntryCount OBJECT-TYPE
     SYNTAX Gauge32
     MAX-ACCESS read-only
@@ -262,7 +347,11 @@
     mtxrWlApSsid DisplayString,
     mtxrWlApBssid MacAddress,
     mtxrWlApClientCount Counter32,
-    mtxrWlApBand DisplayString
+    mtxrWlApFreq Integer32,
+    mtxrWlApBand DisplayString,
+    mtxrWlApNoiseFloor Integer32,
+    mtxrWlApOverallTxCCQ Counter32,
+    mtxrWlApAuthClientCount Counter32
 }
 
 mtxrWlApIndex OBJECT-TYPE
@@ -307,6 +396,13 @@
     DESCRIPTION ""
     ::= { mtxrWlApEntry 6 }
 
+mtxrWlApFreq OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "megahertz"
+    ::= { mtxrWlApEntry 7 }
+
 mtxrWlApBand OBJECT-TYPE
     SYNTAX DisplayString
     MAX-ACCESS read-only
@@ -314,6 +410,27 @@
     DESCRIPTION ""
     ::= { mtxrWlApEntry 8 }
 
+mtxrWlApNoiseFloor OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlApEntry 9 }
+
+mtxrWlApOverallTxCCQ OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlApEntry 10 }
+
+mtxrWlApAuthClientCount OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlApEntry 11 }
+
 mtxrQueueSimpleTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrQueueSimpleEntry
     MAX-ACCESS not-accessible
@@ -340,7 +457,11 @@
     mtxrQueueSimpleBytesIn Counter64,
     mtxrQueueSimpleBytesOut Counter64,
     mtxrQueueSimplePacketsIn Counter32,
-    mtxrQueueSimplePacketsOut Counter32
+    mtxrQueueSimplePacketsOut Counter32,
+    mtxrQueueSimplePCQQueuesIn Counter32,
+    mtxrQueueSimplePCQQueuesOut Counter32,
+    mtxrQueueSimpleDroppedIn Counter32,
+    mtxrQueueSimpleDroppedOut Counter32
 }
 
 mtxrQueueSimpleIndex OBJECT-TYPE
@@ -420,6 +541,34 @@
     DESCRIPTION ""
     ::= { mtxrQueueSimpleEntry 11 }
 
+mtxrQueueSimplePCQQueuesIn OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueSimpleEntry 12 }
+
+mtxrQueueSimplePCQQueuesOut OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueSimpleEntry 13 }
+
+mtxrQueueSimpleDroppedIn OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueSimpleEntry 14 }
+
+mtxrQueueSimpleDroppedOut OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueSimpleEntry 15 }
+
 mtxrQueueTreeTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrQueueTreeEntry
     MAX-ACCESS not-accessible
@@ -442,7 +591,9 @@
     mtxrQueueTreeParentIndex ObjectIndex,
     mtxrQueueTreeBytes Counter32,
     mtxrQueueTreePackets Counter32,
-    mtxrQueueTreeHCBytes Counter64
+    mtxrQueueTreeHCBytes Counter64,
+    mtxrQueueTreePCQQueues Counter32,
+    mtxrQueueTreeDropped Counter32
 }
 
 mtxrQueueTreeIndex OBJECT-TYPE
@@ -494,6 +645,20 @@
     DESCRIPTION ""
     ::= { mtxrQueueTreeEntry 7 }
 
+mtxrQueueTreePCQQueues OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueTreeEntry 8 }
+
+mtxrQueueTreeDropped OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrQueueTreeEntry 9 }
+
 mtxrHlCoreVoltage OBJECT-TYPE
     SYNTAX Voltage
     MAX-ACCESS read-only
@@ -571,6 +736,20 @@
     DESCRIPTION ""
     ::= { mtxrHealth 11 }
 
+mtxrHlPower OBJECT-TYPE
+    SYNTAX Power
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Watts"
+    ::= { mtxrHealth 12 }
+
+mtxrHlCurrent OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "mA"
+    ::= { mtxrHealth 13 }
+
 mtxrLicSoftwareId OBJECT-TYPE
     SYNTAX DisplayString
     MAX-ACCESS read-only
@@ -793,7 +972,7 @@
     DESCRIPTION ""
     ::= { mtxrDHCP 1 }
 
--- REBOOT *********************************************************************
+-- SYSTEM ********************************************************************
 
 mtxrSystemReboot OBJECT-TYPE
     SYNTAX Integer32
@@ -802,6 +981,27 @@
     DESCRIPTION "set non zero to reboot"
     ::= { mtxrSystem 1 }
 
+mtxrUSBPowerReset OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-write
+    STATUS current
+    DESCRIPTION "switches off usb power for specified amout of seconds"
+    ::= { mtxrSystem 2 }
+
+mtxrSerialNumber OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "RouterBOARD serial number"
+    ::= { mtxrSystem 3 }
+
+mtxrFirmwareVersion OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Current firmware version"
+    ::= { mtxrSystem 4 }
+
 -- SCRIPTS ********************************************************************
 
 mtxrScriptTable OBJECT-TYPE
@@ -1008,12 +1208,25 @@
         mtxrWlRtabTxRate,
 	mtxrWlRtabRxRate,
 	mtxrWlRtabEntryCount,
+        mtxrWlRtabRouterOSVersion,
+        mtxrWlRtabUptime,
+        mtxrWlRtabSignalToNoise,
+        mtxrWlRtabTxStrengthCh0,
+        mtxrWlRtabRxStrengthCh0,
+        mtxrWlRtabTxStrengthCh1,
+        mtxrWlRtabRxStrengthCh1,
+        mtxrWlRtabTxStrengthCh2,
+        mtxrWlRtabRxStrengthCh2,
         mtxrWlApTxRate,
 	mtxrWlApRxRate,
 	mtxrWlApSsid,
         mtxrWlApBssid,
         mtxrWlApClientCount,
-        mtxrWlApBand
+        mtxrWlApBand,
+        mtxrWlApFreq,
+        mtxrWlApNoiseFloor,
+        mtxrWlApOverallTxCCQ,
+        mtxrWlApAuthClientCount
     }
     STATUS current
     DESCRIPTION ""
@@ -1024,8 +1237,15 @@
         mtxrQueueSimpleDstAddr, mtxrQueueSimpleDstMask, mtxrQueueSimpleIface,
         mtxrQueueSimpleBytesIn, mtxrQueueSimpleBytesOut,
         mtxrQueueSimplePacketsIn, mtxrQueueSimplePacketsOut, mtxrQueueTreeName,
+        mtxrQueueSimplePCQQueuesIn,
+        mtxrQueueSimplePCQQueuesOut,
+        mtxrQueueSimpleDroppedIn,
+        mtxrQueueSimpleDroppedOut,
         mtxrQueueTreeFlow, mtxrQueueTreeParentIndex, mtxrQueueTreeBytes,
-        mtxrQueueTreePackets, mtxrQueueTreeHCBytes
+        mtxrQueueTreePackets,
+        mtxrQueueTreeHCBytes,
+        mtxrQueueTreePCQQueues,
+        mtxrQueueTreeDropped
     }
     STATUS current
     DESCRIPTION ""
@@ -1035,7 +1255,8 @@
         mtxrHlCoreVoltage, mtxrHlThreeDotThreeVoltage, mtxrHlFiveVoltage,
         mtxrHlTwelveVoltage, mtxrHlSensorTemperature, mtxrHlCpuTemperature,
         mtxrHlBoardTemperature, mtxrHlVoltage, mtxrHlActiveFan, 
-	mtxrHlTemperature, mtxrHlProcessorTemperature
+	mtxrHlTemperature, mtxrHlProcessorTemperature,
+        mtxrHlCurrent, mtxrHlPower
     }
     STATUS current
     DESCRIPTION ""
@@ -1100,6 +1321,138 @@
     DESCRIPTION ""
     ::= { mtXRouterOsGroups 11 }
 
+mtxrDHCPGroup OBJECT-GROUP OBJECTS {
+        mtxrDHCPLeaseCount
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 12 }
+
+mtxrSystemGroup OBJECT-GROUP OBJECTS {
+        mtxrSystemReboot,
+        mtxrUSBPowerReset,
+        mtxrSerialNumber,
+        mtxrFirmwareVersion
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 13 }
+
+mtxrTrapGroup NOTIFICATION-GROUP NOTIFICATIONS {
+        mtxrTrap,
+        mtxrTemperatureException
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 14 }
+
+mtxrGPSGroup OBJECT-GROUP OBJECTS {
+        mtxrDate,
+        mtxrLongtitude,
+        mtxrLatitude,
+        mtxrAltitude,
+        mtxrSpeed,
+        mtxrSattelites,
+        mtxrValid
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 15 }
+
+mtxrWirelessModemGroup OBJECT-GROUP OBJECTS {
+        mtxrWirelessModemSignalStrength,
+        mtxrWirelessModemSignalECIO
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 16 }
+
+mtxrInterfaceStatsGroup OBJECT-GROUP OBJECTS {
+        mtxrInterfaceStatsName,
+        mtxrInterfaceStatsDriverRxBytes,
+        mtxrInterfaceStatsDriverRxPackets,
+        mtxrInterfaceStatsDriverTxBytes,
+        mtxrInterfaceStatsDriverTxPackets,
+
+        mtxrInterfaceStatsTxRx64,
+        mtxrInterfaceStatsTxRx65To127,
+        mtxrInterfaceStatsTxRx128To255,
+        mtxrInterfaceStatsTxRx256To511,
+        mtxrInterfaceStatsTxRx512To1023,
+        mtxrInterfaceStatsTxRx1024To1518,
+        mtxrInterfaceStatsTxRx1519ToMax,
+
+        mtxrInterfaceStatsRxBytes,
+        mtxrInterfaceStatsRxPackets,
+        mtxrInterfaceStatsRxTooShort,
+        mtxrInterfaceStatsRx64,
+        mtxrInterfaceStatsRx65To127,
+        mtxrInterfaceStatsRx128To255,
+        mtxrInterfaceStatsRx256To511,
+        mtxrInterfaceStatsRx512To1023,
+        mtxrInterfaceStatsRx1024To1518,
+        mtxrInterfaceStatsRx1519ToMax,
+        mtxrInterfaceStatsRxTooLong,
+        mtxrInterfaceStatsRxBroadcast,
+        mtxrInterfaceStatsRxPause,
+        mtxrInterfaceStatsRxMulticast,
+        mtxrInterfaceStatsRxFCSError,
+        mtxrInterfaceStatsRxAlignError,
+        mtxrInterfaceStatsRxFragment,
+        mtxrInterfaceStatsRxOverflow,
+        mtxrInterfaceStatsRxControl,
+        mtxrInterfaceStatsRxUnknownOp,
+        mtxrInterfaceStatsRxLengthError,
+        mtxrInterfaceStatsRxCodeError,
+        mtxrInterfaceStatsRxCarrierError,
+        mtxrInterfaceStatsRxJabber,
+        mtxrInterfaceStatsRxDrop,
+
+        mtxrInterfaceStatsTxBytes,
+        mtxrInterfaceStatsTxPackets,
+        mtxrInterfaceStatsTxTooShort,
+        mtxrInterfaceStatsTx64,
+        mtxrInterfaceStatsTx65To127,
+        mtxrInterfaceStatsTx128To255,
+        mtxrInterfaceStatsTx256To511,
+        mtxrInterfaceStatsTx512To1023,
+        mtxrInterfaceStatsTx1024To1518,
+        mtxrInterfaceStatsTx1519ToMax,
+        mtxrInterfaceStatsTxTooLong,
+        mtxrInterfaceStatsTxBroadcast,
+        mtxrInterfaceStatsTxPause,
+        mtxrInterfaceStatsTxMulticast,
+        mtxrInterfaceStatsTxUnderrun,
+        mtxrInterfaceStatsTxCollision,
+        mtxrInterfaceStatsTxExcessiveCollision,
+        mtxrInterfaceStatsTxMultipleCollision,
+        mtxrInterfaceStatsTxSingleCollision,
+        mtxrInterfaceStatsTxExcessiveDeferred,
+        mtxrInterfaceStatsTxDeferred,
+        mtxrInterfaceStatsTxLateCollision,
+        mtxrInterfaceStatsTxTotalCollision,
+        mtxrInterfaceStatsTxPauseHonored,
+        mtxrInterfaceStatsTxDrop,
+        mtxrInterfaceStatsTxJabber,
+        mtxrInterfaceStatsTxFCSError,
+        mtxrInterfaceStatsTxControl,
+        mtxrInterfaceStatsTxFragment
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 17 }
+
+mtxrPOEGroup OBJECT-GROUP OBJECTS {
+        mtxrPOEName,
+        mtxrPOEStatus,
+        mtxrPOEVoltage,
+        mtxrPOECurrent,
+        mtxrPOEPower
+    }
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtXRouterOsGroups 18 }
+
 -- TRAPS **********************************************************************
 
 mtxrNotifications OBJECT IDENTIFIER ::= { mtxrTraps 0 }
@@ -1109,16 +1462,712 @@
     DESCRIPTION "Mikrotik trap OID"
     ::= { mtxrNotifications 1 }
 
-END
+mtxrTemperatureException NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION "Mikrotik CPU temperature exception trap"
+    ::= { mtxrNotifications 2 }
 
+-- GPS ************************************************************************
 
+mtxrDate OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "UNIX time"
+    ::= { mtxrGps 1 }
 
+mtxrLongtitude OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "longtitude"
+    ::= { mtxrGps 2 }
 
+mtxrLatitude OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "latitude"
+    ::= { mtxrGps 3 }
 
+mtxrAltitude OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "altitude"
+    ::= { mtxrGps 4 }
 
+mtxrSpeed OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "speed"
+    ::= { mtxrGps 5 }
 
+mtxrSattelites OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "visible sattelite count"
+    ::= { mtxrGps 6 }
 
+mtxrValid OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "is the data valid"
+    ::= { mtxrGps 7 }
 
+-- Wireless Modem ************************************************************
 
+mtxrWirelessModemSignalStrength OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "signal strength in dBm (if first ppp-client modem supports)"
+    ::= { mtxrWirelessModem 1 }
 
+mtxrWirelessModemSignalECIO OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "signal EC/IO in dB (if first ppp-client modem supports)"
+    ::= { mtxrWirelessModem 2 }
 
+-- Interface Stats ************************************************************
+
+mtxrInterfaceStatsTable OBJECT-TYPE
+    SYNTAX SEQUENCE OF MtxrInterfaceStatsEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION "Extended interface statistics.
+    Some interfaces may have only parts of this table
+    with unavailable values set to zero."
+    ::= { mtxrInterfaceStats 1 }
+
+mtxrInterfaceStatsEntry OBJECT-TYPE
+    SYNTAX MtxrInterfaceStatsEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    INDEX { mtxrInterfaceStatsIndex }
+    ::= { mtxrInterfaceStatsTable 1 }
+
+MtxrInterfaceStatsEntry ::= SEQUENCE {
+    mtxrInterfaceStatsIndex ObjectIndex,
+    mtxrInterfaceStatsName DisplayString,
+
+    mtxrInterfaceStatsDriverRxBytes Counter64,
+    mtxrInterfaceStatsDriverRxPackets Counter64,
+    mtxrInterfaceStatsDriverTxBytes Counter64,
+    mtxrInterfaceStatsDriverTxPackets Counter64,
+
+    mtxrInterfaceStatsTxRx64 Counter64,
+    mtxrInterfaceStatsTxRx65To127 Counter64,
+    mtxrInterfaceStatsTxRx128To255 Counter64,
+    mtxrInterfaceStatsTxRx256To511 Counter64,
+    mtxrInterfaceStatsTxRx512To1023 Counter64,
+    mtxrInterfaceStatsTxRx1024To1518 Counter64,
+    mtxrInterfaceStatsTxRx1519ToMax Counter64,
+
+    mtxrInterfaceStatsRxBytes Counter64,
+    mtxrInterfaceStatsRxPackets Counter64,
+    mtxrInterfaceStatsRxTooShort Counter64,
+    mtxrInterfaceStatsRx64 Counter64,
+    mtxrInterfaceStatsRx65To127 Counter64,
+    mtxrInterfaceStatsRx128To255 Counter64,
+    mtxrInterfaceStatsRx256To511 Counter64,
+    mtxrInterfaceStatsRx512To1023 Counter64,
+    mtxrInterfaceStatsRx1024To1518 Counter64,
+    mtxrInterfaceStatsRx1519ToMax Counter64,
+    mtxrInterfaceStatsRxTooLong Counter64,
+    mtxrInterfaceStatsRxBroadcast Counter64,
+    mtxrInterfaceStatsRxPause Counter64,
+    mtxrInterfaceStatsRxMulticast Counter64,
+    mtxrInterfaceStatsRxFCSError Counter64,
+    mtxrInterfaceStatsRxAlignError Counter64,
+    mtxrInterfaceStatsRxFragment Counter64,
+    mtxrInterfaceStatsRxOverflow Counter64,
+    mtxrInterfaceStatsRxControl Counter64,
+    mtxrInterfaceStatsRxUnknownOp Counter64,
+    mtxrInterfaceStatsRxLengthError Counter64,
+    mtxrInterfaceStatsRxCodeError Counter64,
+    mtxrInterfaceStatsRxCarrierError Counter64,
+    mtxrInterfaceStatsRxJabber Counter64,
+    mtxrInterfaceStatsRxDrop Counter64,
+
+    mtxrInterfaceStatsTxBytes Counter64,
+    mtxrInterfaceStatsTxPackets Counter64,
+    mtxrInterfaceStatsTxTooShort Counter64,
+    mtxrInterfaceStatsTx64 Counter64,
+    mtxrInterfaceStatsTx65To127 Counter64,
+    mtxrInterfaceStatsTx128To255 Counter64,
+    mtxrInterfaceStatsTx256To511 Counter64,
+    mtxrInterfaceStatsTx512To1023 Counter64,
+    mtxrInterfaceStatsTx1024To1518 Counter64,
+    mtxrInterfaceStatsTx1519ToMax Counter64,
+    mtxrInterfaceStatsTxTooLong Counter64,
+    mtxrInterfaceStatsTxBroadcast Counter64,
+    mtxrInterfaceStatsTxPause Counter64,
+    mtxrInterfaceStatsTxMulticast Counter64,
+    mtxrInterfaceStatsTxUnderrun Counter64,
+    mtxrInterfaceStatsTxCollision Counter64,
+    mtxrInterfaceStatsTxExcessiveCollision Counter64,
+    mtxrInterfaceStatsTxMultipleCollision Counter64,
+    mtxrInterfaceStatsTxSingleCollision Counter64,
+    mtxrInterfaceStatsTxExcessiveDeferred Counter64,
+    mtxrInterfaceStatsTxDeferred Counter64,
+    mtxrInterfaceStatsTxLateCollision Counter64,
+    mtxrInterfaceStatsTxTotalCollision Counter64,
+    mtxrInterfaceStatsTxPauseHonored Counter64,
+    mtxrInterfaceStatsTxDrop Counter64,
+    mtxrInterfaceStatsTxJabber Counter64,
+    mtxrInterfaceStatsTxFCSError Counter64,
+    mtxrInterfaceStatsTxControl Counter64,
+    mtxrInterfaceStatsTxFragment Counter64
+}
+
+mtxrInterfaceStatsIndex OBJECT-TYPE
+    SYNTAX ObjectIndex
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 1 }
+
+mtxrInterfaceStatsName OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 2 }
+
+mtxrInterfaceStatsDriverRxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 11 }
+
+mtxrInterfaceStatsDriverRxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 12 }
+
+mtxrInterfaceStatsDriverTxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 13 }
+
+mtxrInterfaceStatsDriverTxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 14 }
+
+mtxrInterfaceStatsTxRx64 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 15 }
+
+mtxrInterfaceStatsTxRx65To127 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 16 }
+
+mtxrInterfaceStatsTxRx128To255 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 17 }
+
+mtxrInterfaceStatsTxRx256To511 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 18 }
+
+mtxrInterfaceStatsTxRx512To1023 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 19 }
+
+mtxrInterfaceStatsTxRx1024To1518 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 20 }
+
+mtxrInterfaceStatsTxRx1519ToMax OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 21 }
+
+mtxrInterfaceStatsRxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 31 }
+ 
+mtxrInterfaceStatsRxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 32 }
+
+mtxrInterfaceStatsRxTooShort OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 33 }
+
+mtxrInterfaceStatsRx64 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 34 }
+
+mtxrInterfaceStatsRx65To127 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 35 }
+
+mtxrInterfaceStatsRx128To255 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 36 }
+
+mtxrInterfaceStatsRx256To511 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 37 }
+
+mtxrInterfaceStatsRx512To1023 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 38 }
+
+mtxrInterfaceStatsRx1024To1518 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 39 }
+
+mtxrInterfaceStatsRx1519ToMax OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 40 }
+
+mtxrInterfaceStatsRxTooLong OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 41 }
+
+mtxrInterfaceStatsRxBroadcast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 42 }
+
+mtxrInterfaceStatsRxPause OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 43 }
+
+mtxrInterfaceStatsRxMulticast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 44 }
+
+mtxrInterfaceStatsRxFCSError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 45 }
+
+mtxrInterfaceStatsRxAlignError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 46 }
+
+mtxrInterfaceStatsRxFragment OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 47 }
+
+mtxrInterfaceStatsRxOverflow OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 48 }
+
+mtxrInterfaceStatsRxControl OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 49 }
+
+mtxrInterfaceStatsRxUnknownOp OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 50 }
+
+mtxrInterfaceStatsRxLengthError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 51 }
+
+mtxrInterfaceStatsRxCodeError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 52 }
+
+mtxrInterfaceStatsRxCarrierError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 53 }
+
+mtxrInterfaceStatsRxJabber OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 54 }
+
+mtxrInterfaceStatsRxDrop OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 55 }
+
+mtxrInterfaceStatsTxBytes OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 61 }
+
+mtxrInterfaceStatsTxPackets OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 62 }
+
+mtxrInterfaceStatsTxTooShort OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 63 }
+
+mtxrInterfaceStatsTx64 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 64 }
+
+mtxrInterfaceStatsTx65To127 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 65 }
+
+mtxrInterfaceStatsTx128To255 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 66 }
+
+mtxrInterfaceStatsTx256To511 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 67 }
+
+mtxrInterfaceStatsTx512To1023 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 68 }
+
+mtxrInterfaceStatsTx1024To1518 OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 69 }
+
+mtxrInterfaceStatsTx1519ToMax OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 70 }
+
+mtxrInterfaceStatsTxTooLong OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 71 }
+
+mtxrInterfaceStatsTxBroadcast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 72 }
+
+mtxrInterfaceStatsTxPause OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 73 }
+
+mtxrInterfaceStatsTxMulticast OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 74 }
+
+mtxrInterfaceStatsTxUnderrun OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 75 }
+
+mtxrInterfaceStatsTxCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 76 }
+
+mtxrInterfaceStatsTxExcessiveCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 77 }
+
+mtxrInterfaceStatsTxMultipleCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 78 }
+
+mtxrInterfaceStatsTxSingleCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 79 }
+
+mtxrInterfaceStatsTxExcessiveDeferred OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 80 }
+
+mtxrInterfaceStatsTxDeferred OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 81 }
+
+mtxrInterfaceStatsTxLateCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 82 }
+
+mtxrInterfaceStatsTxTotalCollision OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 83 }
+
+mtxrInterfaceStatsTxPauseHonored OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 84 }
+
+mtxrInterfaceStatsTxDrop OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 85 }
+
+mtxrInterfaceStatsTxJabber OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 86 }
+
+mtxrInterfaceStatsTxFCSError OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 87 }
+
+mtxrInterfaceStatsTxControl OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 88 }
+
+mtxrInterfaceStatsTxFragment OBJECT-TYPE
+    SYNTAX Counter64
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrInterfaceStatsEntry 89 }
+
+-- POE ************************************************************************
+
+mtxrPOETable OBJECT-TYPE
+    SYNTAX SEQUENCE OF MtxrPOEEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION "Power Over Ethernet"
+    ::= { mtxrPOE 1 }
+
+mtxrPOEEntry OBJECT-TYPE
+    SYNTAX MtxrPOEEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    INDEX { mtxrPOEInterfaceIndex }
+    ::= { mtxrPOETable 1 }
+
+MtxrPOEEntry ::= SEQUENCE {
+    mtxrPOEInterfaceIndex ObjectIndex,
+    mtxrPOEName DisplayString,
+    mtxrPOEStatus Integer32,
+    mtxrPOEVoltage Voltage,
+    mtxrPOECurrent Integer32,
+    mtxrPOEPower Power
+}
+
+mtxrPOEInterfaceIndex OBJECT-TYPE
+    SYNTAX ObjectIndex
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrPOEEntry 1 }
+
+mtxrPOEName OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrPOEEntry 2 }
+
+mtxrPOEStatus OBJECT-TYPE
+    SYNTAX INTEGER {
+        disabled(1),
+        waitingForLoad(2),
+        poweredOn(3),
+        overload(4)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrPOEEntry 3 }
+
+mtxrPOEVoltage OBJECT-TYPE
+    SYNTAX Voltage
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "V"
+    ::= { mtxrPOEEntry 4 }
+
+mtxrPOECurrent OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "mA"
+    ::= { mtxrPOEEntry 5 }
+
+mtxrPOEPower OBJECT-TYPE
+    SYNTAX Power
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "W"
+    ::= { mtxrPOEEntry 6 }
+
+-- ***************************************************************************
+END
Index: includes/discovery/inventory/mikrotik-mib.inc.php
===================================================================
--- includes/discovery/inventory/mikrotik-mib.inc.php	(revision 0)
+++ includes/discovery/inventory/mikrotik-mib.inc.php	(revision 0)
@@ -0,0 +1,29 @@
+<?php
+
+if ($os == "routeros") {
+  echo(" MIKROTIK-MIB ");
+
+  $mtxrSerialNumber = snmp_get($device, 'mtxrSerialNumber.0', '-Oqvn', 'MIKROTIK-MIB', mib_dirs('mikrotik'));
+
+  $system_index = 1;
+
+  if ($mtxrSerialNumber) {
+      $inventory[$system_index] = array(
+      'entPhysicalDescr'        => 'MikroTik RouterBoard',
+      'entPhysicalClass'        => 'chassis',
+      'entPhysicalName'         => '',
+      'entPhysicalSerialNum'    => $mtxrSerialNumber,
+      'entPhysicalAssetID'      => '',
+      'entPhysicalIsFRU'        => 'false',
+      'entPhysicalContainedIn'  => 0,
+      'entPhysicalParentRelPos' => 0,
+      'entPhysicalMfgName'      => 'MikroTik'
+    );
+    discover_inventory($valid['inventory'], $device, $system_index, $inventory[$system_index], "MIKROTIK-MIB");
+  
+    if ($debug && count($inventory)) { print_vars($inventory); }
+  }
+  echo "\n";
+}
+
+// EOF
